#ifndef X11HELPER_H
#define X11HELPER_H

#include <QObject>

using Window = unsigned long;
struct _XDisplay;
using Display = struct _XDisplay;

class X11Helper : public QObject
{
	Q_OBJECT
public:
	static Window InvalidWindow;

	explicit X11Helper(QObject* parent = nullptr);
	virtual ~X11Helper();

	Window findWindow(const QString& name);

public slots:
	void map(Window win);
	void unmap(Window win);
	void setMap(Window win, bool b);

private:
	Window searchWindows(Window top, const QString& search);

	Display* disp;
};

#endif // X11HELPER_H
